Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000780 [Piwigo] other minor always 2007.12.03 00:38 2008.06.07 22:22
Reporter mathiasm View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.7.0
  Target Version 2.0.0 Product Build
Summary 0000780: Hide caddie if no target
Description If you have no elements in the caddie, Phpwebgallery sohould display a simple text (as for thumbnails creation) like [No items in caddie].
Instead, it shows the whole form with no elements in. Confusing, IMO.
Steps To Reproduce Go to Admin>Caddie.
Click on Empty Caddie and Submit.
The caddie si shown with nothing in.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files ? file icon element_set_global.tpl.linuxlefty [^] (6,725 bytes) 2008.04.15 14:10
? file icon element_set_global.tpl.linuxlefty2 [^] (6,761 bytes) 2008.04.17 13:55

- Relationships

-  Notes
(0002185)
linuxlefty (reporter)
2008.04.15 14:08
edited on: 2008.04.15 14:09

Patch for this bug:

/phpwebgallery/template/yoga/admin/element_set_global.tpl
13a14,15
> {if !empty($thumbnails)}
>
185a188,190
> {else}
>

{'Category empty'|@translate}


> {/if}

(0002186)
VDigital (reporter)
2008.04.15 17:27

I won't write "'Category empty'".
But something like "'Caddie is currently empty'".

And ddtddt will add all @translate for us...
I didn't test your patch but thank to Smarty, I assume it as 1.8 compliant.
Well done.
(0002187)
VDigital (reporter)
2008.04.16 20:05

fieldset tag won't be closed...
Please revise and make a new proposal.
(0002190)
linuxlefty (reporter)
2008.04.17 13:53

Whoops. I fixed that bug:

6a7,8
> {if !empty($thumbnails)}
>
185a188,190
> {else}
> <div class="infos">

{'Caddie is currently empty'|@translate}

</div>
> {/if}
(0002192)
VDigital (reporter)
2008.04.20 09:27

[Subversion] r2305 thx to LinuxLefty

this solution is only for 1.8 or above.
(0002194)
VDigital (reporter)
2008.05.01 07:10

Nothing in the Administror's caddie = nothing to do in List Category for it.

- Issue History
Date Modified Username Field Change
2007.12.03 00:38 mathiasm New Issue
2007.12.03 00:38 mathiasm browser => any
2007.12.03 00:38 mathiasm Web server => Apache 1.3.x
2008.04.14 00:29 linuxlefty Issue Monitored: linuxlefty
2008.04.15 14:08 linuxlefty Note Added: 0002185
2008.04.15 14:09 linuxlefty Note Edited: 0002185
2008.04.15 14:10 linuxlefty File Added: element_set_global.tpl.linuxlefty
2008.04.15 17:27 VDigital Note Added: 0002186
2008.04.16 20:05 VDigital Note Added: 0002187
2008.04.16 20:05 VDigital Status new => feedback
2008.04.17 13:53 linuxlefty Note Added: 0002190
2008.04.17 13:55 linuxlefty File Added: element_set_global.tpl.linuxlefty2
2008.04.20 09:27 VDigital Status feedback => resolved
2008.04.20 09:27 VDigital Fixed in Version => Butterfly branch
2008.04.20 09:27 VDigital Resolution open => fixed
2008.04.20 09:27 VDigital Assigned To => VDigital
2008.04.20 09:27 VDigital Note Added: 0002192
2008.05.01 07:10 VDigital Status resolved => closed
2008.05.01 07:10 VDigital Note Added: 0002194
2008.05.29 09:31 plg Fixed in Version Butterfly branch => Butterfly 1
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker